#145 New Interface IOleInPlaceSiteWindowless and prototype fixes

closed-fixed
nobody
w32api (251)
2003-03-04
2003-03-02
Heiko Gerdau
No

2003-03-02 Heiko Gerdau <hg@technosis.de>

\* oleidl.h \(IOleObject/IViewObject2\): Correct
prototypes GetUserType and GetExtent.
\* olectl.h \(DISPIP\_\): Added new defines
\* ocidl.h \(IOleInPlaceSiteWindowless\): Added new interface

oleidl.h

References:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcedcom/htm/cerefioleobjectgetusertype.asp
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcedcom/htm/cerefIViewObject2GetExtent.asp

--- oleidl.h.ori Sun Mar 2 14:42:40 2003
+++ oleidl.h Sun Mar 2 14:47:26 2003
@@ -45,6 +45,7 @@
USERCLASSTYPE_SHORT,
USERCLASSTYPE_APPNAME
} USERCLASSTYPE;
+
#ifdef __GNUC__
__extension__ /* IS0 C says enums limited to range of
int */
#endif
@@ -162,7 +163,7 @@
STDMETHOD(Update)(THIS) PURE;
STDMETHOD(IsUpToDate)(THIS) PURE;
STDMETHOD(GetUserClassID)(THIS_ LPCLSID) PURE;
- STDMETHOD(GetUserType)(THIS_ DWORD,LPOLESTR) PURE;
+ STDMETHOD(GetUserType)(THIS_ DWORD,LPOLESTR*) PURE;
STDMETHOD(SetExtent)(THIS_ DWORD,SIZEL*) PURE;
STDMETHOD(GetExtent)(THIS_ DWORD,SIZEL*) PURE;
STDMETHOD(Advise)(THIS_ LPADVISESINK,PDWORD) PURE;
@@ -350,7 +351,7 @@
STDMETHOD(Unfreeze)(THIS_ DWORD) PURE;
STDMETHOD(SetAdvise)(THIS_ DWORD,DWORD,IAdviseSink*)
PURE;
STDMETHOD(GetAdvise)(THIS_
PDWORD,PDWORD,IAdviseSink**) PURE;
- STDMETHOD(GetExtent)(THIS_
DWORD,DWORD,DVTARGETDEVICE*,LPSIZEL) PURE;
+ STDMETHOD(GetExtent)(THIS_
DWORD,LONG,DVTARGETDEVICE*,LPSIZEL) PURE;
};

olectl.h

References:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/automat/htm/chap5_32cz.asp
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/com/htm/ctrlgde_85ir.asp
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/vclib/html/vclrfccomcontrolbasegetambientrighttoleft.asp

--- olectl.h.ori Mon Oct 14 21:23:35 2002
+++ olectl.h Sun Mar 2 14:50:07 2003
@@ -171,6 +171,12 @@
#define DISPID_CAPTION (-518)
#define DISPID_BORDERVISIBLE (-519)
#define DISPID_APPEARANCE (-520)
+
+#define DISPID_MOUSEPOINTER (-521)
+#define DISPID_MOUSEICON (-522)
+#define DISPID_PICTURE (-523)
+#define DISPID_VALID (-524)
+
#define DISPID_REFRESH (-550)
#define DISPID_DOCLICK (-551)
#define DISPID_ABOUTBOX (-552)
@@ -199,6 +205,13 @@
#define DISPID_AMBIENT_SUPPORTSMNEMONICS (-714)
#define DISPID_AMBIENT_AUTOCLIP (-715)
#define DISPID_AMBIENT_APPEARANCE (-716)
+
+#define DISPID_AMBIENT_CODEPAGE (-725)
+#define DISPID_AMBIENT_PALETTE (-726)
+#define DISPID_AMBIENT_CHARSET (-727)
+#define DISPID_AMBIENT_RIGHTTOLEFT (-732)
+#define DISPID_AMBIENT_TOPTOBOTTOM (-733)
+
#define DISPID_FONT_NAME 0
#define DISPID_FONT_SIZE 2
#define DISPID_FONT_BOLD 3

ocidl.h

References:
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/com/htm/oin_oe2k_6x83.asp

--- ocidl.h.ori Thu Feb 27 00:14:14 2003
+++ ocidl.h Sun Mar 2 14:52:50 2003
@@ -53,6 +53,45 @@
STDMETHOD(GetSite)(THIS_ REFIID, void**) PURE;
} ;

+EXTERN_C const IID IID_IOleInPlaceSiteWindowless;
+#undef INTERFACE
+#define INTERFACE IOleInPlaceSiteWindowless
+DECLARE_INTERFACE_(IOleInPlaceSiteWindowless,IOleInPlaceSiteEx)
+{
+ STDMETHOD(QueryInterface)(THIS_ REFIID,PVOID*) PURE;
+ STDMETHOD_(ULONG,AddRef)(THIS) PURE;
+ STDMETHOD_(ULONG,Release)(THIS) PURE;
+ STDMETHOD(GetWindow)(THIS_ HWND*) PURE;
+ STDMETHOD(ContextSensitiveHelp)(THIS_ BOOL) PURE;
+ STDMETHOD(CanInPlaceActivate)(THIS) PURE;
+ STDMETHOD(OnInPlaceActivate)(THIS) PURE;
+ STDMETHOD(OnUIActivate)(THIS) PURE;
+ STDMETHOD(GetWindowContext)(THIS_
IOleInPlaceFrame**,IOleInPlaceUIWindow**,LPRECT,LPRECT,LPOLEINPLACEFRAMEINFO)
PURE;
+ STDMETHOD(Scroll)(THIS_ SIZE) PURE;
+ STDMETHOD(OnUIDeactivate)(THIS_ BOOL) PURE;
+ STDMETHOD(OnInPlaceDeactivate)(THIS) PURE;
+ STDMETHOD(DiscardUndoState)(THIS) PURE;
+ STDMETHOD(DeactivateAndUndo)(THIS) PURE;
+ STDMETHOD(OnPosRectChange)(THIS_ LPCRECT) PURE;
+
+ STDMETHOD(OnInPlaceActivateEx)(THIS_ BOOL*,DWORD) PURE;
+ STDMETHOD(OnInPlaceDeactivateEx)(THIS_ BOOL) PURE;
+ STDMETHOD(RequestUIActivate)(THIS) PURE;
+
+ STDMETHOD(CanWindowlessActivate)(THIS) PURE;
+ STDMETHOD(GetCapture)(THIS) PURE;
+ STDMETHOD(SetCapture)(THIS_ BOOL) PURE;
+ STDMETHOD(GetFocus)(THIS) PURE;
+ STDMETHOD(SetFocus)(THIS_ BOOL) PURE;
+ STDMETHOD(GetDC)(THIS_ LPCRECT,DWORD,HDC*) PURE;
+ STDMETHOD(ReleaseDC)(THIS_ HDC) PURE;
+ STDMETHOD(InvalidateRect)(THIS_ LPCRECT,BOOL) PURE;
+ STDMETHOD(InvalidateRgn)(THIS_ HRGN,BOOL) PURE;
+ STDMETHOD(ScrollRect)(THIS_ INT,INT,LPCRECT,LPCRECT)
PURE;
+ STDMETHOD(AdjustRect)(THIS_ LPCRECT) PURE;
+ STDMETHOD(OnDefWindowMessage)(THIS_
UINT,WPARAM,LPARAM,LRESULT*) PURE;
+};
+
#ifdef __cplusplus
}
#endif

Discussion

  • Danny Smith
    Danny Smith
    2003-03-03

    Logged In: YES
    user_id=11494

    Thanks.
    Could you please try to upload patch as a separate file,
    to avoid inappropriate line wrapping
    Danny

     
  • Heiko Gerdau
    Heiko Gerdau
    2003-03-03

    patch030302.zip

     
    Attachments
  • Heiko Gerdau
    Heiko Gerdau
    2003-03-03

    Logged In: YES
    user_id=625399

    Sorry, last time I tried, it seemed not to work.
    Heiko

     
  • Danny Smith
    Danny Smith
    2003-03-04

    • status: open --> closed-fixed
     
  • Danny Smith
    Danny Smith
    2003-03-04

    Logged In: YES
    user_id=11494

    Committed
    Thanks
    Danny